Bug 199831 - initrd.txt hopelessly out of date
initrd.txt hopelessly out of date
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-22 20:46 EDT by Tom Horsley
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-25 23:50:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2006-07-22 20:46:27 EDT
Description of problem:

When attempting to figure out what was going on at boot time I wanted
to fiddle with the initrd image. The kernel doc file
Documentation/initrd.txt only talks about loopback devices and
filesystem images. Meanwhile, the files actually being used by
the kernel these days are simply compressed cpio archives. (A fact
only learned after much web searching).

Version-Release number of selected component (if applicable):

kernel-doc-2.6.17

How reproducible:

always

Steps to Reproduce:
1. try to understand initrd images by reading kernel docs
  
Actual results:

Total confusion and misinformation.

Expected results:

Useful data :-).

Additional info:

Much web diving finally produced this command to examine an initrd
image:

gzip -cd ../old/initrd.img|cpio -imd --quiet

And this command to rebuild the image after modifying it:

find . | cpio --quiet -c -o | gzip -9 -n > ../initrd.img

They actually seemed to work. It would sure be handy if the initrd.txt
file mentioned those commands up front and then went on to the historical
information for older kernels it already contains.
Comment 1 Dave Jones 2006-07-25 23:50:19 EDT
send patches to linux-kernel@vger.kernel.org

Note You need to log in before you can comment on or make changes to this bug.